#ifndef __CFSimpl_H__
#define __CFSimpl_H__

#include <CORBA.h>
#include <mico/CosNaming.h>
#include <mico/throw.h>
#include "CFS.h"
	
namespace CFS {

    void path_tokenizer(const char *path, CosNaming::Name &cosname);
    //    CORBA::Object_var lookup(queue<char*> *tokens, CosNaming::NamingContextExt_var context);
    //    CORBA::Object_var lookup(const char *path, CosNaming::NamingContextExt_var context);

    Superblock_var createDiskSB(char *path, CORBA::UShort mode);
    Superblock_var createContextSB(CosNaming::NamingContext_var root, CORBA::ORB_var orb);
    Superblock_var createVirtualSB(CORBA::Object_var content, CORBA::ORB_var orb);
    Superblock_var createVirtualSB (CORBA::UShort mode, CORBA::UShort dev, const char * name);
};

#endif
